Skip to main content

Jobs

Get information about a job


Request job status/result

Block Model API

Version: 1.42.9

Retrieves a given job.

A job represents a background activity in the BlockSync compute workers, such as performing a query or updating a block model based on an uploaded file. This endpoint indicates the job's status, and once it has completed or failed, details about the result are provided in a payload property.

All workspace roles can use this endpoint.

Parameters

authorizationstring
Required

Example: "ff0b8078-c7ec-41ab-87fb-f3eb32812b32"

ID of the job this call is scoped to. Represented as a v4 UUID.

Example: "860be2f5-fe06-4c1b-ac8b-7d34d2b6d2ef"

ID of the workspace this call is scoped to. Represented as a v4 UUID.

Example: "bf1a040c-8c58-4bc2-bec2-c5ae7de8bd84"

ID of the organization this call is scoped to. Represented as a v4 UUID.

Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"

ID of the block model this call is scoped to. Represented as a v4 UUID.

Returns

200

Successful Response

Example: "COMPLETE"

Status of this job. The statuses have the following meanings:

  • PENDING_UPLOAD: This is a model update job, and is awaiting notification that file upload has completed before proceeding any further.
  • QUEUED: The job is ready for processing, and is queued waiting for a worker process to become available.
  • PROCESSING: The job is actively being processed by a worker.
  • COMPLETE: The job completed succesfully.
  • FAILED: The job failed. No further processing of this job will be attempted.

The payload describes the outcome of the job, and is set for completed or failed jobs. This property will not appear if the job is not yet COMPLETE or FAILED.

  • For all failed jobs, this will be a JobErrorPayload.
  • For completed create or update jobs, this will be a Version.
  • For completed query jobs, this will be a QueryDownload.

Example: 4

Version the update was applied to. This will be the same as parent_version_id, except for updates made by Leapfrog, where it is the current local version when the block model is published. This is null if this is the first version.

Bounding box of data updated between this version and last version. Will be None for the initial version, and updates that only delete and rename columns.

Minimum and maximum values for the i column in the file

Maximum value for the column

Minimum value for the column

Minimum and maximum values for the j column in the file

Maximum value for the column

Minimum value for the column

Minimum and maximum values for the k column in the file

Maximum value for the column

Minimum value for the column

null

Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"

ID of the block model

User-supplied comment

When the version was created

User who performed the action that created the version

Example: "kim@example.test"

The primary email address of the user.

Example: "Kim"

The first name of the user.

Example: ["249160E6-6404-4C09-8F61-8BB2469A4DDF"]

The IDs of the groups the user belongs to.

Example: ["My Group"]

The names of the groups the user belongs to.

Example: "59b73891-5538-4e45-ae67-f8c5b00d7405"

The unique identifier of the user.

Example: "Kim"

The last name of the user.

Example: "Kim Kim"

The full name of the user.

Example: "CAEAADB6-D052-40AA-9DEA-221CA6EA26B9"

The organization ID of the user.

Example: "Bentley Systems Inc"

The organization name of the user.

Examples: "Account Admin", ["Account Admin","User"]

The role name(s) of the user.

Example: "1234567890"

ID of the Geoscience Object Service object version associated with this block model version

Columns within this version

Example: "618d6339-2fa7-4dfd-9c7f-c0b12016639e"

The ID of the column, a UUID for non-system columns

Capitalized list of supported PyArrow datatypes outlined in https://arrow.apache.org/docs/python/api/datatypes.html.

Timestamp datatype is expected to be used with unit measured in "us" and timezone set to "UTC" inside of parquet column header schema or it won't be accepted; an example for PyArrow binding would look like this: pa.timestamp("us", tz="UTC")

UUID of the group this column belongs to. Null means ungrouped.

Publisher-supplied free-form metadata for the column, as a JSON object. Keys must be 1-100 chars and cannot contain leading whitespace or dot, or the characters / \ : > < | ? " *; keys are unique case-insensitively. Values may be any JSON-compatible type. A single tags object serialised as UTF-8 JSON must be at most 10 KiB.

null

The human-readable label used to identify the column

The ID of the column's unit

Default: []

Column groups within this version.

Example: "00633b08-165b-4dcb-bbae-0d3befa74c7e"

Unique identifier for the group.

When true, the group's direct member columns are excluded from wildcard queries unless include_hidden is set.

Default: "INHERIT"

Policy for columns in this group's zone that are absent from an update. Defaults to INHERIT, which adopts the nearest ancestor's explicit policy zone (USE_PREVIOUS at the root).

UUID of the parent group within the same block model. Null means top-level.

Effective missing-column policy after resolving against the stored parent chain. A group with INHERIT (or no policy) adopts the nearest ancestor's explicit policy zone, defaulting to USE_PREVIOUS when no ancestor sets one.

Publisher-supplied free-form metadata for the group, as a JSON object. Keys must be 1-100 chars and cannot contain leading whitespace or dot, or the characters / \ : > < | ? " *; keys are unique case-insensitively. Values may be any JSON-compatible type. A single tags object serialised as UTF-8 JSON must be at most 10 KiB.

null

Human-readable label for the group, unique across the parent group, or across top-level groups if no parent. They must be 1-100 chars and cannot contain leading whitespace or dot, or the characters / \ : > < | ? " *. Must not contain the qualified title separator .

Example: 4

Previous version. 0 if this is the first version.

Example: 5

Identifier for the version within a block model as a monotonically increasing integer, where 1 is the version_id for the version created upon creation of the block model.

Example: "3e9ce8de-f6ba-4920-8c6e-0882e90f0ed7"

A universally unique identifier for the version

Example: "https://au.static.evo.seequent.com/blocksync/169ccde2-4d0f-4a7a-adb7-1ccadc734cdd/query/{criteria hash}.parquet?st=2023-11-09T03%3A05%3A30Z&se=2023-11-10T03%3A06%3A30Z&sp=r&spr=http&sv=2021-08-06&sr=b&sig=ABCDEF0123456789ABCDEF0123456789"

Download URL for the results of the query.

Example: "Update file 38e3ca486b3b477db0f99646b0529746 not found."

A human-readable explanation specific to this occurrence of the problem.

URL for downloading an errors block model file. Set if the job is for block model update and there were block-specific errors.

Example: 400

Status code for the error, equivalent to a HTTP status code.

Example: "Error in Update"

A short, human-readable summary of the problem type.

Example: "https://seequent.com/error-codes/block-model-service/job/update-error"

A URI reference that is the primary identifier of the problem type.

bm_uuiduuid
report_result_uuiduuid
report_specification_uuiduuid
version_idinteger
version_uuiduuid

Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"

ID of the Report Result for the baseline version.

Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"

ID of the block model version to use as the baseline for the comparison.

Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"

ID of the Report Specification that the comparison is for

Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"

ID of the Report Result for the version to compare.

Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"

ID of the block model version to compare.

Upload URL for the job, with an up-to-date SAS token

null

Endpoint

GET
/blockmodel/orgs/{org_id}/workspaces/{workspace_id}/block-models/{bm_id}/jobs/{job_id}

Request

curl -X GET 'https://{service_host}/blockmodel/orgs/{org_id}/workspaces/{workspace_id}/block-models/{bm_id}/jobs/{job_id}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"job_status": "PENDING_UPLOAD",
"payload": {
"base_version_id": 0,
"bbox": {
"i_minmax": {
"max": 0,
"min": 0
},
"j_minmax": {
"max": 0,
"min": 0
},
"k_minmax": {
"max": 0,
"min": 0
}
},
"bm_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"comment": "string",
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": {
"email": "string",
"first_name": "string",
"group_ids": [
"string"
],
"group_names": [
"string"
],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"last_name": "string",
"name": "string",
"org_id": "string",
"org_name": "string",
"role_name": [
"string"
]
},
"geoscience_version_id": "string",
"mapping": {
"columns": [
{
"col_id": "string",
"data_type": "Boolean",
"group_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tags": {
"additionalProp1": "string",
"additionalProp2": "number",
"additionalProp3": "boolean"
},
"title": "string",
"unit_id": "string"
}
],
"groups": [
{
"group_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_hidden": false,
"missing_column_policy": "INHERIT",
"parent_group_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"resolved_missing_column_policy": "INHERIT",
"tags": {
"additionalProp1": "string",
"additionalProp2": "number",
"additionalProp3": "boolean"
},
"title": "string"
}
]
},
"parent_version_id": 0,
"version_id": 0,
"version_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
}

Was this page helpful?